Use Reddit? Join us on our very own subreddit: https://www.reddit.com/r/Linuxstuff/
You can sign up to get a daily email of our articles, see the Mailing List page!
Support us on Patreon to keep GamingOnLinux alive. This ensures we have no timed articles and no paywalls. Just good, fresh content! Alternatively, you can support us on Paypal and Liberapay!
Mad Max [Feral Mini Site] is officially being released on the 20th of October for Linux & SteamOS, it’s finally coming!




After initially being confirmed for Linux way back in March 2015, we finally have confirmation that not only is the Linux port real, but it’s coming damn soon too.

From the press release:
Quote“We’re delighted to be bringing Mad Max to Mac and Linux PC,” said David Stephen, Managing Director at Feral Interactive, “With its exhilarating combat, outlandish characters and beautiful end-of-the-world visuals, Mad Max perfectly captures the atmosphere and thrill of The Wasteland.”


System requirements:
Intel i5 or AMD FX8350 3.4 GHz CPU
8GB RAM
SteamOS 2.0 or Ubuntu 16.04 or better.

The game also requires an NVIDIA 660ti series graphics card or better, running driver version 367.35 or later. AMD and Intel GPUs are not supported at release.

If you want more information on AMD support in future, you can see this comment from Edwin who works at Feral, copied below:
Edwin, Feral InteractiveDue to various issues with Mesa we will not be supporting AMD on release. We only can officially support drivers if they meet the quality needed and sadly Mesa isn't quite there yet as it has a few issues and edge cases. It was a super close call but in the end we won't say a game is officially supported unless it runs great using release versions of the drivers and kernel.

However we developed the game using AMD cards as well as Nvidia so if you install the latest Mesa beta drivers and other updates as needed it runs it's just not at a level where we can provide official support as some edge cases will exist. Hopefully once all the Mesa developments get into a stable release version and all the related kernel improvements also are in a stable release then support for Mad Max and similar complex titles will be easier/possible.

Summary: AMD is unsupported meaning we don't recommend you purchase it on AMD GPUs, however we have don a lot of work towards support which should happen once all the improvements to Mesa/Kernel are in stable branches.


Releasing another game so soon after Dawn of War II [port report here], Feral sure are busy!

I will hopefully have my usual report on the game up at release.

Not long to go folks! Are you excited? Let me know in the comments!

After the news about Civ VI possibly not coming to Linux, this was a very well timed announcement.
0 Likes
We do often include affiliate links to earn us some pennies. We are currently affiliated with GOG and Humble Store. See more information here.
131 comments
Page: «2/14»
  Go to:

Comments on this article are now closed.
gojul 5 October 2016 at 10:00 am UTC
The depth charge has been showong up for two years. Anyway it is awesome news, contrary to civ6
Drakon74 5 October 2016 at 10:01 am UTC
There was also an update 2 hours ago to the "HITMAN" Depots. The entries are like " branches/cheetah_external_partner/description:"..

"cheetah_external_partner", i think it's clear that Feral Interactive (their mascot is a cheetah like everyone knows) is working on the port
nocri 5 October 2016 at 10:03 am UTC
Wow, these guys are really busy
However, I will buy this only if it is below 20e, since I don't think it is my kind of game -- I have to keep my wallet ready for DE:MD
Keyrock 5 October 2016 at 10:07 am UTC
This is news so good it warrants the Dance of Joy
image


Last edited by Keyrock at 5 October 2016 at 10:07 am UTC
leillo1975 5 October 2016 at 10:09 am UTC
Happy, Happy, Happy! Really good news, and of course instant buy for me. Thanks again Feral, you are filling my steam library of good AAA games
fabry92 5 October 2016 at 10:11 am UTC
instabuy
Eike 5 October 2016 at 10:11 am UTC
Sorry to say, but...

Feral > Aspyr

(But I've got more than enough love to give for two porting houses, Aspyr!)
ysblokje 5 October 2016 at 10:15 am UTC
View PC info
  • Supporter
QuoteThe game also requires an NVIDIA 660ti series graphics card or better, running driver version 367.35 or later. AMD and Intel GPUs are not supported at release.

It might just run fine on MESA, previous releases from feral have been known to work (and still do) with MESA.
You probably need the bleeding edge MESA though.
A person working for feral has statet that they don't ignore MESA, so I wouldn't worry too much about it

Just my 2cents.


Last edited by ysblokje at 5 October 2016 at 10:16 am UTC
valgusk 5 October 2016 at 10:22 am UTC
Hell yeah! Go team Feral!
boltronics 5 October 2016 at 10:27 am UTC
I don't mind that they don't support Mesa when there is no stable release that meets the OpenGL requirements, and certainly no distribution with official Steam support which will be including it any time soon... but I do hope Feral updates the game requirements when Mesa is ready for a mainstream audience - probably when Ubuntu 17.04 arrives. It would suck to eventually see all these games only list Nvidia system requirements even when they work perfectly fine with Mesa on SteamOS and modern Ubuntu releases.
  Go to:
While you're here, please consider supporting GamingOnLinux on Patreon or Liberapay. We have no adverts, no paywalls, no timed exclusive articles. Just good, fresh content. Without your continued support, we simply could not continue!

We also accept Paypal donations and subscriptions! If you already are, thank you!
Livestreams & Videos
Community Livestreams
  • Story Time: „The Pillars of the Earth“
  • Date:
See more!
Popular this week
View by Category
Contact
Latest Forum Posts